Skip to main content
GET
cURL

Authorizations

Authorization
string
header
default:$CARTESIA_API_KEY
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-03-01
required

API version header.

Available options:
2026-03-01
Example:

"2026-03-01"

Path Parameters

id
string
required

ID of the dataset to list files from

Query Parameters

limit
integer | null

The number of files to return per page, ranging between 1 and 100.

starting_after
string | null

A cursor to use in pagination. starting_after is a file ID that defines your place in the list. For example, if you make a dataset files request and receive 20 objects, ending with file_abc123, your subsequent call can include starting_after=file_abc123 to fetch the next page of the list.

ending_before
string | null

A cursor to use in pagination. ending_before is a file ID that defines your place in the list. For example, if you make a dataset files request and receive 20 objects, starting with file_abc123, your subsequent call can include ending_before=file_abc123 to fetch the previous page of the list.

Response

200 - application/json

Paginated list of files in a dataset

data
DatasetFile · object[]
required

List of file objects

has_more
boolean
required

Whether there are more files available

next_page
string | null

An ID that can be passed as starting_after or ending_before to get the next page of data.